Draft Ellipse/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/cs|Name=Draft_Ellipse|Name/cs=Kreslení Elipsa|Workbenches=Kreslení, Architektura|MenuLocation=Draft -> Ellipse|Shortcut=E...")
(Updating to match new version of source page)
(27 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Draft_Ellipse|Name/cs=Kreslení Elipsa|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Draft -> Ellipse|Shortcut=E L|SeeAlso=[[Draft Circle/cs|Kreslení Kružnice]]}}
{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|IconL=Draft_Arc.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Polygon.svg
}}


<div class="mw-translate-fuzzy">
==Description==
{{GuiCommand/cs|Name=Draft_Ellipse|Name/cs=Kreslení Elipsa|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Elipsa|Shortcut=E L|SeeAlso=[[Draft Circle/cs|Kreslení Kružnice]]}}
</div>


==Popis==
The Ellipse tool creates an ellipse in the current [[Draft Workingplane|work plane]] by entering two points, defining the corner of a rectangular box in which the ellipse will fit. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab.

<div class="mw-translate-fuzzy">
Nástroj Elipsa vytvoří elipsu v aktuální [[Draft SelectPlane/cs|pracovní rovině]] vložením dvou bodů definujících roh obdélníku, kterému je elipsa vepsána. Elipsa přebírá [[Draft Linestyle/cs|barvu a tloušťku čáry]] předem nastavenou v záložce úloh.
</div>

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle|Draft Circle]] and [[Draft Arc|Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline|Draft BSpline]] and [[Draft BezCurve|Draft BezCurve]] tools.


[[Image:Draft_ellipse_example.jpg|400px]]
[[Image:Draft_ellipse_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_ellipse_example.jpg|400px]]
</div>


==How to use==
==Usage==
# Press the {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse]]}} button, or press {{KEY|E}} then {{KEY|L}} keys
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


<div class="mw-translate-fuzzy">
==Options==
==Použití==
# Stiskněte tlačítko {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse|Elipsa]]}} nebo klávesy {{KEY|E}} pak {{KEY|L}}
# Klikněte na první bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na druhý bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]].
</div>


The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Ellipse tool will restart after you give the second point, allowing you to draw another ellipse without pressing the Ellipse button again.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the ellipse to appear as a face after it has been closed. This simply sets the View->Property of the ellipse to "Flat lines" or "Wireframe", so it can easily be changed later.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the command.
* Ellipses, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.


==Properties==
==Volby==


<div class="mw-translate-fuzzy">
* {{PropertyData|Major Radius}}: The major radius of the ellipse
* Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte {{KEY|ENTER}} mezi každou z komponent X, Y a Z.
* {{PropertyData|Minor Radius}}: The major radius of the ellipse
* Stiskněte klávesu {{KEY|T}} nebo klikněte na zaklikávací políčko pro zatrhnutí nebo odtrhnutí tlačítka {{KEY|'''Pokračovat'''}}. Je-li nastaven pokračovací mód, bude nástroj Elipsa hned po zadání druhého bodu připraven ke kreslení další elipsy bez nutnosti stisknout znovu tlačítko Elipsa.
* {{PropertyView|Pattern}}: Specifies a hatch pattern to fill the ellipse with
* Stisknutím klávesy {{KEY|CTRL}} během kreslení vynutíte [[Draft_Snap|přichycení]] vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
* {{PropertyView|Pattern Size}}: Specifies the size of the hatch pattern
* Stisknutím klávesy {{KEY|SHIFT}} během kreslení [[Draft_Constrain|nastavíte vazbu]] vašeho bodu svisle nebo vodorovně v relaci k předchozímu bodu.
* Stisknutím klávesy {{KEY|I}} nebo tlačítka {{KEY|'''Vyplnit'''}} bude se elipsa po uzavření jevit jako povrch (vyplněná). Tak se jednoduše nastaví Pohled->Vlastnosti elipsy na "Flat přímky" nebo "Drátový model", což může být nastaveno i později.
* Stisknutím tlačítka {{KEY|ESC}} nebo {{KEY|'''Cancel'''}} zrušíte právě probíhající příkaz.
* Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.
</div>


==Scripting==
==Vlastnosti==
The Ellipse tool can by used in [[macros]] and from the python console by using the following function:
<syntaxhighlight>
makeEllipse (majorradius, minorradius, [placement], [facemode])
</syntaxhighlight>
* Creates an ellipse object with given major and minor radius.
* If a placement is given, it is used.
* If facemode is False, the ellipse is shown as a wireframe, otherwise as a face.
* Returns the newly created object.


An Ellipse object shares many properties with a [[Draft Circle|Draft Circle]], but some properties only make sense for the ellipse.
Example:
<syntaxhighlight>
import Draft
myEllipse = Draft.makeEllipse(4,2)


<div class="mw-translate-fuzzy">
</syntaxhighlight>
* {{PropertyData|Velký poloměr}}: Velký poloměr elipsy
* {{PropertyData|Malý poloměr}}: Malý poloměr elipsy
* {{PropertyView|Vzor}}: Určuje šrafovací vzor, kterým má elipsa být vyplněna
* {{PropertyView|Rozměr vzoru}}: Určuje velikost šrafovacího vzoru
</div>

===View===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].

<div class="mw-translate-fuzzy">
==Skriptování==
Nástroj Elipsa může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
</div>

The Ellipse tool can by used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
}}

<div class="mw-translate-fuzzy">
*Vytvoří elipsu s daným velkým (majorradius) a malým(minorradius) poloměrem.
* Je-li zadán placement (umístění), bude využito.
* Je-li facemode False, bude se elipsa zobrazovat jako drátový model, jinak jako plocha.
* Vrací nově vytvořený pohled.
</div>

Příklad:
{{Code|code=
import FreeCAD, Draft

Ellipse1 = Draft.makeEllipse(3000, 200)
Ellipse2 = Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 = Draft.makeEllipse(700, 1000, placement=place3)
}}

{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|IconL=Draft_Arc.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Polygon.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 18:06, 21 February 2020

Kreslení Elipsa

Umístění Menu
Kreslení -> Elipsa
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
E L
Představen ve verzi
-
Viz také
Kreslení Kružnice

Popis

Nástroj Elipsa vytvoří elipsu v aktuální pracovní rovině vložením dvou bodů definujících roh obdélníku, kterému je elipsa vepsána. Elipsa přebírá barvu a tloušťku čáry předem nastavenou v záložce úloh.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Usage

Použití

  1. Stiskněte tlačítko Elipsa nebo klávesy E pak L
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Volby

  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo klikněte na zaklikávací políčko pro zatrhnutí nebo odtrhnutí tlačítka Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Elipsa hned po zadání druhého bodu připraven ke kreslení další elipsy bez nutnosti stisknout znovu tlačítko Elipsa.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci k předchozímu bodu.
  • Stisknutím klávesy I nebo tlačítka Vyplnit bude se elipsa po uzavření jevit jako povrch (vyplněná). Tak se jednoduše nastaví Pohled->Vlastnosti elipsy na "Flat přímky" nebo "Drátový model", což může být nastaveno i později.
  • Stisknutím tlačítka ESC nebo Cancel zrušíte právě probíhající příkaz.
  • Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.

Vlastnosti

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

  • ÚdajeVelký poloměr: Velký poloměr elipsy
  • ÚdajeMalý poloměr: Malý poloměr elipsy
  • PohledVzor: Určuje šrafovací vzor, kterým má elipsa být vyplněna
  • PohledRozměr vzoru: Určuje velikost šrafovacího vzoru

View

  • PohledPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if ÚdajeMake Face is true, and if PohledDisplay Mode is "Flat Lines".
  • PohledPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Elipsa může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Vytvoří elipsu s daným velkým (majorradius) a malým(minorradius) poloměrem.
  • Je-li zadán placement (umístění), bude využito.
  • Je-li facemode False, bude se elipsa zobrazovat jako drátový model, jinak jako plocha.
  • Vrací nově vytvořený pohled.

Příklad:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)